Subject: Re: bug#33343: Error bind mounting `/dev/full' to /gnu/store/... on reconfigure.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 11 Nov 2018 18:12:44 +0100

Hi,

Brendan Tildesley <[email-masked]> skribis:

> I'm trying to reconfigure with the latest guix after 2 months. I'm able
>
> to build my system with guix system vm, but when I try to reconfigure I
> get the following error. I tried removing ecryptfs-utils from my
> configuration, but then I just get the same error with a different store
> item. i have   80GiB of free space, and according to tune2fs, 50 million
> free inodes.
>
> |guix system: error: build failed: |   |   |   bind mounting `/dev/full' to `/gnu/store/6cnyn2ygaa4h4hmfvy4g4kriv6w61ci8-ecryptfs-utils-111.drv.chroot/dev/full'

Please see <https://issues.guix.info/issue/31023>, which is about the
same issue.

In short: don’t use ‘--verbosity’.

Thanks,
Ludo’.